load("reveal_ttem_b.RData")

###############################################################
## Select the subset of study population

agegp<-c("young", "old")[1]
sex<-c("women", "men")[1]

if (agegp=="young" & sex=="men") work_ttem<-work_ttem_B[(work_ttem_B$GENDER==1 & work_ttem_B$AGE<=55), c("hcc.time", "hcc.case", "die.time", "dieall.case", "HBSAG")]
if (agegp=="old" & sex=="men") work_ttem<-work_ttem_B[(work_ttem_B$GENDER==1 & work_ttem_B$AGE>55), c("hcc.time", "hcc.case", "die.time", "dieall.case", "HBSAG")]
if (agegp=="young" & sex=="women") work_ttem<-work_ttem_B[(work_ttem_B$GENDER==0 & work_ttem_B$AGE<=55), c("hcc.time", "hcc.case", "die.time", "dieall.case", "HBSAG")]
if (agegp=="old" & sex=="women") work_ttem<-work_ttem_B[(work_ttem_B$GENDER==0 & work_ttem_B$AGE>55), c("hcc.time", "hcc.case", "die.time", "dieall.case", "HBSAG")]

###############################################################
## For ties of survival times

t2<-work_ttem$die.time[work_ttem$dieall.case==1]
t2u<-unique(t2)
for (t in t2u){
	ind<-which(t2==t)
	if(length(ind)>1) {
		for (i in 1:length(ind)) t2[ind[i]]<-t+0.01*(i-1)
	}
}
work_ttem$die.time[work_ttem$dieall.case==1]<-t2

################################################################
## Main analysis

source("functions_test.R")
pval<-IE.test(work_ttem)
pval
